Subject: bug#53296: Intermittent segfaults when parsing (?) custom package from repo.

From: [email-masked]
Date: Sun, 12 Feb 2023 22:07:52 +0900

Nothing like ACKing a year later!

This was almost certainly a local hardware issue. The machine this happened on
ended up showing progressively more mysterious behaviour that could not be
reproduced on other machines.

Feel free to close!

Ludovic Courtès <[email-masked]> wrote:
> Hi,
> 
> Any update on this one?
> 
>   https://issues.guix.gnu.org/53296
> 
> If there’s no reliable way to reproduce it, I’ll close the bug soon.
> 
> Thanks,
> Ludo’.
> 
> Ludovic Courtès <[email-masked]> skribis:
> 
> > Hi,
> >
> > [email-masked] skribis:
> >
> >> Ludovic Courtès <[email-masked]> wrote:
> >>> Here’s how I tried (and failed) to reproduce the segfault:
> >>> 
> >>> --8<---------------cut here---------------start------------->8---
> >>> $ find /tmp/test
> >>> /tmp/test
> >>> /tmp/test/gnu
> >>> /tmp/test/gnu/packages
> >>> /tmp/test/gnu/packages/jsoftware.scm
> >>> 
> >>> $ guix build -L /tmp/test jsoftware
> >>> /tmp/test/gnu/packages/jsoftware.scm:76:0: warning: source expression failed to match any pattern
> >>> guix build: error: jsoftware: nekonata pako
> >>
> >> Is that an Esperanto locale?!
> >
> > Jes!
> >
> >> The segfault is pretty inconsistent on my end. Unfortunately, the only
> >> "reliable" way to produce I know at the moment is to badger the build command
> >> repeatedly and get (un)lucky.
> >
> > OK, please let us know when you have a reliable reproducer, or GDB
> > backtraces, things like that.
> >
> > Thanks,
> > Ludo’.